Bug 545711 - When setting predecessors, Planner assigns first occurring instance of a subtask for any subsequent subtasks with the same name.
Summary: When setting predecessors, Planner assigns first occurring instance of a subt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: planner
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-09 06:50 UTC by Scott Mumford
Modified: 2009-12-22 04:56 UTC (History)
2 users (show)

Fixed In Version: 0.14.4-12.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 04:56:12 UTC
Type: ---


Attachments (Terms of Use)
.planner file showing mis-assigned subtask predecessor (2.45 KB, application/x-planner)
2009-12-09 06:52 UTC, Scott Mumford
no flags Details
standalone python combo demo (765 bytes, text/x-python)
2009-12-09 11:26 UTC, Caolan McNamara
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 604169 0 None None None Never

Description Scott Mumford 2009-12-09 06:50:11 UTC
Description of problem:

Given a number of subtasks, all with the same name but each beneath a different task; when any one of those subtasks is selected as a predecessor for another task, the first occurring subtask will always be assigned.

In the attached planner file, subtask 1 of Task A will always be assigned as the predecessor for Task C, regardless of which subtask 1 (that of Task A, Task B, or Task B2) is selected.

It appears that predecessor assignment is being performed by *name* rather than *task id*.

Version-Release number of selected component (if applicable): 0.14.3 (planner-0.14.3-11.fc11.i586)


How reproducible:
Always

Steps to Reproduce:
1.Create task 'A' with one subtask named "subtask 1"
2.Create task 'B' with one subtask named "subtask 1"
4.Create task 'C'
5 Edit task C and add subtask 1 of Task B as a predecessor
  
Actual results:
subtask 1 of Task A is actually assigned as the predecessor. This can be confirmed by giving the two subtasks different durations, or by checking the resultant xml.

Expected results:
subtask 1 of Task B should be assigned as the predecessor.


Additional info:

Comment 1 Scott Mumford 2009-12-09 06:52:21 UTC
Created attachment 377109 [details]
.planner file showing  mis-assigned subtask predecessor

Comment 2 Caolan McNamara 2009-12-09 09:23:17 UTC
As a work-around if you select in gantt view the two rows 2.1 and row 4 and press link-tasks, then those two get linked together correctly.

Comment 3 Caolan McNamara 2009-12-09 11:26:11 UTC
Created attachment 377138 [details]
standalone python combo demo

Gagh, it appears to be the GtkCombo widget in use here. Its the one that's looking up by name after-selection of an entry and re-selecting a different entry that matches it.

Comment 4 Caolan McNamara 2009-12-09 12:28:34 UTC
Moving from a GtkCombo to a GtkComboBoxEntry would solve that problem

Comment 5 Caolan McNamara 2009-12-09 13:20:02 UTC
Bumped from F-11 to F-12, where I'm not going to do any updates at this stage really. Fix supplied upstream and checked in. Please test when update comment is auto-added to indicate availability.

Comment 6 Fedora Update System 2009-12-09 13:20:29 UTC
planner-0.14.4-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-7.fc12

Comment 7 Fedora Update System 2009-12-11 10:55:18 UTC
planner-0.14.4-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-8.fc12

Comment 8 Fedora Update System 2009-12-11 18:36:25 UTC
planner-0.14.4-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13137

Comment 9 Fedora Update System 2009-12-15 11:26:44 UTC
planner-0.14.4-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-11.fc12

Comment 10 Fedora Update System 2009-12-16 01:10:34 UTC
planner-0.14.4-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13174

Comment 11 Fedora Update System 2009-12-16 01:23:34 UTC
planner-0.14.4-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13260

Comment 12 Fedora Update System 2009-12-22 04:55:44 UTC
planner-0.14.4-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.